Bug 401581 - long delay when starting gnome-terminal
long delay when starting gnome-terminal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 13:27 EST by David Huff
Modified: 2009-01-09 00:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:21:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huff 2007-11-27 13:27:18 EST
Description of problem:

When I start the terminal some time it takes >2 min to start.  I have noticed
this with other apps as well however is most prevalent with the terminal.  Seems
to happen more and longer waits on high legacy networks such wireless with vpn.
 I have also noticed some network intense apps like synergy preform slow in F8.

This bug should probably be filed under a network component however I am not
sure if it truly is a network issue or what component to file under.  Let me
know if any addition info is needed.



Version-Release number of selected component (if applicable):
f8 2.6.23.1-49.fc8 on a T42 thinkpad.  

02:01.0 Ethernet controller: Intel Corporation 82540EP Gigabit Ethernet
Controller (Mobile) (rev 03)

02:02.0 Network controller: Intel Corporation PRO/Wireless 2915ABG Network
Connection (rev 05)



How reproducible:

pretty regularly

Steps to Reproduce:
1.start apps on high latency network
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Behdad Esfahbod 2007-12-03 21:34:36 EST
I've seen similar things on F8.  For me, it triggers if I install gtk trunk. 
Someone suggested that it's gnome-session dying or something like that...
Comment 2 Jake Walters 2008-01-26 10:36:08 EST
This is happening for me as well on a Thinkpad T60

]~$uname -r
2.6.23.14-107.fc8

]~$rpm -qa | grep gnome-terminal
gnome-terminal-2.18.3-1.fc8
Comment 3 Jake Walters 2008-02-05 11:21:07 EST
This is showing up in other apps as well while connected to a vpn
connection...Image viewer and evince are very slow starting up. Same kernel as
my above report.

Comment 4 Behdad Esfahbod 2008-02-05 16:05:08 EST
Lets reassign to gnome-session.
Comment 5 Zdenek Kabelac 2008-02-06 09:55:43 EST
Well it happens to me as well - when I start any application - especially when I
suspend the machine in one intranet network with private names and wakeup in a
different intranet network (where these names cannot be resolved - so it waits
for some resolvement timeout)

What helps me is to remove file:  $HOME/.ICEauthority - as according to strace
the gnome startup get's locked on some hostname resolution of the hostname which
is present in the .ICEauthority file.

I'm unsure if this is exactly the same problem - but maybe worth to try...
Comment 6 Bug Zapper 2008-11-26 03:43:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:21:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.